## IdeEditorWorkspace IdeEditorWorkspace — A simplified workspace for dedicated editing |

## Functions

IdeEditorWorkspace * | ide_editor_workspace_new ()

## Types and Values

#define | IDE_TYPE_EDITOR_WORKSPACE
| IdeEditorWorkspace

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkApplicationWindow
                                ╰── DzlApplicationWindow
                                    ╰── IdeWorkspace
                                        ╰── IdeEditorWorkspace

## Implemented Interfaces

IdeEditorWorkspace implements AtkImplementorIface, GtkBuildable, GActionGroup and GActionMap.

## Description

The IdeEditorWorkspace is a secondary workspace that can be used to add additional IdePage to. It does not contain the full contents of the IdePrimaryWorkspace. It is suitable for using on an additional monitor as well as a dedicated editor in simplified Builder mode when running directly from the command line.

## Functions

### ide_editor_workspace_new ()

    IdeEditorWorkspace *
    ide_editor_workspace_new (IdeApplication *app);

Creates a new IdeEditorWorkspace.

You'll need to add this to a workbench to be functional.

#### Parameters

app | an IdeApplication |

#### Returns

an IdeEditorWorkspace.

[transfer full]

Since: 3.32

## Types and Values

### IDE_TYPE_EDITOR_WORKSPACE

    #define IDE_TYPE_EDITOR_WORKSPACE (ide_editor_workspace_get_type())

### IdeEditorWorkspace

    typedef struct _IdeEditorWorkspace IdeEditorWorkspace;